Subject: bug#30504: bug tail -2 FILE1 FILE1 - tail: option used in invalid context -- 2

From: Paul Eggert <[email-masked]>
Date: Sat, 17 Feb 2018 14:37:32 -0800

There is a backward-compatibility problem with supporting "tail -2" with any 
number of extra arguments, since (for example) "tail -2c 20" has a different 
meaning in traditional "tail" than you might think. To avoid confusion, "tail 
-2" is not encouraged when using non-traditional features (in your case, two or 
more FILE arguments). Since "tail -n2 FILE1 FILE2 ..." suffices, it's not clear 
that it'd be worth the aggravation to rethink this.